commit: 13440a2da516a0c9794bd0bb1e8a7968254dc9a9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 28 05:56:47 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 28 05:56:47 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13440a2d
dev-python/parso: Disable failing error tests
Disable error tests that started failing with Python 3.8.2 as they
depend on exact exception messages.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/parso/parso-0.6.1.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/dev-python/parso/parso-0.6.1.ebuild
b/dev-python/parso/parso-0.6.1.ebuild
index d33ced31acc..d9dff2d95d4 100644
--- a/dev-python/parso/parso-0.6.1.ebuild
+++ b/dev-python/parso/parso-0.6.1.ebuild
@@ -19,3 +19,11 @@ RESTRICT="!test? ( test )"
distutils_enable_sphinx docs
distutils_enable_tests pytest
+
+src_prepare() {
+ # tests rely on specific exception messages and fail occasionally
+ # upstream suggested skipping them
+ rm test/test_python_errors.py || die
+
+ distutils-r1_src_prepare
+}